usage:
	@echo ""
	@echo "usage:"
	@echo ""
	@echo "* make install    -- to install dotfiles"
	@echo "* make reinstall  -- to reinstall & prune obsolete symlinks"
	@echo "* make delete     -- to delete dotfiles"
	@echo "* make update     -- get latest version from sourcehut"
	@echo ""

install:
	mkdir -p ~/.config

	stow chrome
	stow chromium
	stow environment
	stow fish
	stow flake8
	stow fontconfig
	stow foot
	stow gdb
	stow git
	stow imapfilter
	stow kitty
	stow mako
	stow mbsync
	stow mpd
	stow mpDris2
	stow msmtp
	stow mutt
	stow notmuch
	stow nvim
	stow paru
	stow pycodestyle
	stow pylint
	stow sway
	stow ranger
	stow swaylock
	stow tmux
	stow zathura

reinstall:

	stow -R chrome
	stow -R chromium
	stow -R environment
	stow -R fish
	stow -R flake8
	stow -R fontconfig
	stow -R foot
	stow -R gdb
	stow -R git
	stow -R imapfilter
	stow -R kitty
	stow -R mako
	stow -R mbsync
	stow -R mpd
	stow -R mpDris2
	stow -R msmtp
	stow -R mutt
	stow -R notmuch
	stow -R nvim
	stow -R paru
	stow -R pycodestyle
	stow -R pylint
	stow -R ranger
	stow -R sway
	stow -R swaylock
	stow -R tmux
	stow -R zathura

delete:

	stow -D chrome
	stow -D chromium
	stow -D environment
	stow -D fish
	stow -D flake8
	stow -D fontconfig
	stow -D foot
	stow -D gdb
	stow -D git
	stow -D imapfilter
	stow -D kitty
	stow -D mako
	stow -D mbsync
	stow -D mpd
	stow -D mpDris2
	stow -D msmtp
	stow -D mutt
	stow -D notmuch
	stow -D nvim
	stow -D paru
	stow -D pycodestyle
	stow -D pylint
	stow -D ranger
	stow -D sway
	stow -D swaylock
	stow -D tmux
	stow -D zathura

update:

	git pull --verbose
	git submodule update --init --recursive

all:
	usage
